Bug 143130 - FILESAVE DOCX Shapes placed on chart not saved
Summary: FILESAVE DOCX Shapes placed on chart not saved
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Balázs Varga
URL:
Whiteboard: target:7.3.0
Keywords: filter:docx
Depends on:
Blocks: OOXML-Chart
  Show dependency treegraph
 
Reported: 2021-06-30 11:08 UTC by NISZ LibreOffice Team
Modified: 2021-09-08 11:28 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
attachment 167663 saved with current nightly (11.36 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2021-06-30 11:08 UTC, NISZ LibreOffice Team
Details
Screenshot of the original and exported document side by side in Writer (54.95 KB, image/png)
2021-06-30 11:09 UTC, NISZ LibreOffice Team
Details
Screenshot of the original and exported document side by side in Word and Writer (69.45 KB, image/png)
2021-06-30 11:09 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2021-06-30 11:08:37 UTC
Created attachment 173287 [details]
attachment 167663 [details] saved with current nightly

This is a followup to bug 138561
Now shapes placed on a chart in a docx file are imported correctly, but upon saving to DOCX they are still lost, despite the fix of bug 128621 for XLSX.

Steps to reproduce:
    1. Open attachment 167663 [details] from bug 138561
    2. Save as DOCX, reopen in Writer or Word

Actual results:
The drawing shapes placed on the chart are lost.

Expected results:
The drawing shapes should be retained.

LibreOffice details:
Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 9c15dea0b2192d231b65175291a7655122c2e24c
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: default; VCL: win
Locale: en-US (hu_HU); UI: en-US
Calc: CL
Comment 1 NISZ LibreOffice Team 2021-06-30 11:09:02 UTC
Created attachment 173288 [details]
Screenshot of the original and exported document side by side in Writer
Comment 2 NISZ LibreOffice Team 2021-06-30 11:09:18 UTC
Created attachment 173289 [details]
Screenshot of the original and exported document side by side in Word and Writer
Comment 3 Buovjaga 2021-07-17 15:51:01 UTC
Repro

NixOS
Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: b1df9c67349cf4cc5be4128d797aefb87f50e38f
CPU threads: 16; OS: Linux 5.13; UI render: default; VCL: x11
Locale: fi-FI (fi_FI.UTF-8); UI: en-US
Calc: threaded
Comment 4 Commit Notification 2021-09-01 08:32:39 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/9fbe0a171ece07da0d5c1e16eae23a167cb81114

tdf#143127 tdf#143130 ooxml export: fix lost image/shape in chart

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 NISZ LibreOffice Team 2021-09-08 11:28:40 UTC
Verified in:
Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 8151f3a1d99ab740d2affdccc7115faa156bf3ad
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded